import { Component, OnInit, AfterViewInit, AfterContentInit } from '@angular/core';
import { Router } from '@angular/router';
import { MetaSensorDisplayItem } from '../../../meta/sensor-display-item/model/MetaSensorDisplayItem';

export interface Probe {
    id: string;
    name: string;
    ip: string;
    os: string;
    cidr: string;
    targetCnt: number;
    date: string;
    authBy: string;
}


@Component({
    selector: 'of-sensor-item-list',
    templateUrl: './list.component.html',
})
export class ListComponent implements OnInit, AfterContentInit {

    sensorItems: MetaSensorDisplayItem[];
    ngAfterContentInit() {
    }

    constructor(private router: Router) { }

    ngOnInit() {
    }
}

